{% set title = 'Autres couches' %}
{% extends('admin/adminLayout.twig') %}
{% block content %}


	<h1>Autres couches ({{ OLs|length }})</h1>

	<p class="text-right">
		<a href="{{ url('admin-other-layer-form') }}?ol=new" class="btn btn-primary">
			<span class="glyphicon glyphicon-plus"></span>
			Nouvelle couche</a>
	</p>

	<table class="table table-hover table-condensed">
		<tr>

			<th>Couche</th>
			<th>Alias</th>
			<th>Type</th>
			<th>Chemin</th>
			<th>Type de géométrie</th>
			<th>Style</th>
			{#
			<th>Correspondance des champs</th>
			<th>Filtre SQL</th>
			#}
			<th>Zoom min</th>
			<th>Zoom max</th>
			<th>Rechargement lors du déplacement de la carte</th>
			<th>Groupe d'affichage</th>
			<th>Ordre d'affichage</th>
			{#
			<th>Options</th>
			#}
			<th>Accès</th>
			<th></th>

		</tr>
		{% for OL in OLs %}

			<tr>

				<td>
					<a href="{{ url('admin-other-layer-form') }}?ol={{ OL.other_layer_id }}">
						<b>{{ OL.layer_id }}</b>
					</a>
				</td>
				<td>{{ OL.layer_alias }}</td>
				<td>{{ OL.layer_type }}</td>
				<td>{{ OL.geolayer_id }}</td>
				<td>{{ OL.layer_type }}</td>
				<td>
					{% if OL.style is not null and OL.style != '{}' %}

						{% if OL.style_decode.icon is defined and OL.style_decode.icon != '' %}

							{% set size = 20 %}
							{% set fillRadius = size /2  * (OL.style_decode.fillRadius|default(0.05)/10) %}
							{% set backColor =  OL.style_decode.fillColor|default(OL.style_decode.color)|hexToRGB %}

							<div style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ OL.style_decode.fillOpacity|default(OL.style_decode.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;">
								<div style="width:{{size}}px;height:{{size}}px;background:{{ OL.style_decode.color }};-webkit-mask-image:url({{ OL.style_decode.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ size * 0.8 }}px;-webkit-mask-position: center;mask-image:url({{ OL.style_decode.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ OL.style_decode.opacity|default(1) }}"></div>
							</div>
						{% else %}
							<svg height="16" width="16">
								<rect width="16" height="16" stroke="{{ OL.style_decode.color }}" stroke-opacity="{{ OL.style_decode.opacity }}" stroke-width="{{ OL.style_decode.weight }}" fill="{{ OL.style_decode.fillColor|default(OL.style_decode.color) }}" fill-opacity="{{ OL.style_decode.fillOpacity|default(OL.style_decode.opacity) }}"/>
							</svg>
						{% endif %}

					{% endif %}
				</td>
				{#
				<td>{{ OL.mapping }}</td>
				<td>{{ OL.sql_filter }}</td>
				#}
				<td>{{ OL.zoom_min }}</td>
				<td>{{ OL.zoom_max }}</td>
				<td>{{ OL.load_on_pan }}</td>
				<td>{{ OL.group }}</td>
				<td>{{ OL.other_layer_display_order }}</td>
				{#
				<td>{{ OL.options }}</td>
				#}
				<td>{{ OL.access }}</td>


				<td class="text-right">
					<a class="btn btn-xs btn-danger" href="{{ url('admin-other-layer-delete') }}?ol={{ OL.other_layer_id }}" onclick="return confirm('Confirmez-vous la suppression de cette couche ?')">
						<span class="glyphicon glyphicon-remove"></span>
						Suppression
					</a>
				</td>


			</tr>


		{% endfor %}
	</table>


{% endblock %}
